
<style>


    * {
        margin: 0;
    }
    html, body {
        height: 100%;
    }
    .wrapper {
        min-height: 100%;
        height: auto !important;
        height: 100%;
        margin: 0 auto -4em;

    }
    .footer, .push {
        height: 20em;
        margin: auto;
        width: 20%;
        padding: 10px;
    }

    .center_div{
        margin: 0 auto;
        width:80% /* value of your choice which suits your alignment */
    }

    #tfnewsearch{
        float:right;
        padding:20px;
    }
    .tftextinput{
        margin: 0;
        padding: 5px 15px;
        font-family: Arial, Helvetica, sans-serif;
        font-size:14px;
        border:1px solid #0076a3; border-right:0px;
        border-top-left-radius: 5px 5px;
        border-bottom-left-radius: 5px 5px;
    }
    .tfbutton {
        margin: 0;
        padding: 5px 15px;
        font-family: Arial, Helvetica, sans-serif;
        font-size:14px;
        outline: none;
        cursor: pointer;
        text-align: center;
        text-decoration: none;
        color: #ffffff;
        border: solid 1px #0076a3; border-right:0px;
        background: #0095cd;
        background: -webkit-gradient(linear, left top, left bottom, from(#00adee), to(#0078a5));
        background: -moz-linear-gradient(top,  #00adee,  #0078a5);
        border-top-right-radius: 5px 5px;
        border-bottom-right-radius: 5px 5px;
    }
    .tfbutton:hover {
        text-decoration: none;
        background: #007ead;
        background: -webkit-gradient(linear, left top, left bottom, from(#0095cc), to(#00678e));
        background: -moz-linear-gradient(top,  #0095cc,  #00678e);
    }
    /* Fixes submit button height problem in Firefox */
    .tfbutton::-moz-focus-inner {
        border: 0;
    }
    .tfclear{
        clear:both;
    }

</style>


<!--<div ng-show="!isAuthenticated">
  <div class="container">
  <form  name="formx"  ng-submit="login(user)">
    <div class="col-md-5" >
      <div class="form-group">
        <label>UserName:</label>
        <input type="text" name='UserName' ng-model='user.username' required="" placeholder="Enter Username"
               class="form-control">
        <div ng-show="formx.$submitted || formx.UserName.$touched">
          <div style="position: absolute;margin-left: 120px;" ng-show="formx.UserName.$error.required"><p>UserName is required.</p></div>
        </div>
      </div>

      <div class="form-group" >
        <label >PassWord:</label>
        <input   type="password" name='Password'   ng-model='user.password'  placeholder="Enter Password "   class="form-control" required="">
        <div ng-show="formx.$submitted || formx.Password.$touched">
          <div style="position: absolute;margin-left: 120px;"  ng-show="formx.Password.$error.required"><p>Password is required.</p></div>
        </div>
      </div>
      <button type="submit" class="btn btn-info">Login</button>
    </div>
  </form>
  </div>
  <br>
  <div class="container" >
    <a href="#/signUp" >Create a new account</a>
  </div>

</div>-->

<div ng-include="'./app/view/Includes/Header.html'"></div>


<div class="mainDiv">
    <div class="inputBox">

        <input class="tftextinput" type="text" auto-complete-directive url={{locationURL}} ng-model="searchParameter" placeholder="Search Book Title ">
    </div>
    <div class="crossMark"  ng-click="clearSearchResult(1)">
        <img src="../../img/remove-icon-3184.png">
    </div>
    <div  class="searchButton">
        <button  type="button"  ng-click="searchBook(searchParameter)">
            Search
        </button>
    </div>
</div>
<br>
<!--<div id="tfheader">
    <input class="tftextinput" type="text" auto-complete-directive url={{locationURL}} ng-model="searchParameter" placeholder="Search Book Title ">
    <button type="button"  ng-click="searchBook(searchParameter)" class="tfbutton">search</button>
    <div class="tfclear">
    </div>
</div>-->


<div   class="improvedRow row"   style="margin-top: 3%;padding-top: 1%;>


  <div class="wrapper" style="padding: 20px 60px;">
<div ng-if="listingData.length != 0">
    <div class="col-xs-12 col-sm-6 col-md-3" ng-repeat="bookNames in listingData | filter:name | orderBy:bookNames.title | filter:search ">
        <div class="box box-primary direct-chat direct-chat-primary">
            <div class="box-header with-border">
                <h3 class="box-title">{{ bookNames.Title | limitTo: 30 }}{{bookNames.ShortDesc.length > 30 ? '...' :
                    ''}}</h3>
                <!--   <span style="padding-left: 4cm;"  ng-if="bookNames.isPublished===0"><span class="label label-default" >NotPublished</span></span>
                   <span style="padding-left: 5cm;"  ng-if="bookNames.isPublished===1"><span class="label label-default" >Published</span></span>-->

            </div>
            <!-- /.box-header -->
            <div class="box-body">
                <div ng-if="bookNames.Images.length == 0" style="max-width:100%,min-width:100%,max-height:100%,min-height:100%" >
                    <img Src="../../img/prevew/No_image_available.jpg" style="width:390px;height:496px" >

                </div>
                <!--{{imagePathOfBook}}{{bookNamesImages.imageName}}-->
                <div ng-if="bookNames.Images.length != 0"style="max-width:100%,min-width:100%,max-height:100%,min-height:100%" ng-repeat="bookNamesImages in bookNames.Images track by $index" ng-show="$first">
                    <img Src="{{imagePathOfBook}}{{bookNamesImages.imageName}}" style="width:390px;height:496px"
                         altSrc="../../img/prevew/No_image_available.jpg"/>

                </div>
                <div class="box-footer">
                    <div class="row">
                        <div class="col-md-12">
                            <p style="margin: -10px 0 5px; color: #0000FF">{{bookNames.PublishedDate | date:'mediumDate'}}</p>
                        </div>
                        <div class="col-md-12">
                            <p style="margin: -10px 0 5px; width: 426px; height: 41px; padding-top: 8px;padding-bottom: 10px;">{{ bookNames.ShortDesc | limitTo: 120}}{{bookNames.ShortDesc.length > 120 ? '...' : ''}}</p>
                        </div>
                        <div class="col-md-12" style="padding-top: 10px;" ><!--href="#/editBookDetails/{{bookNames.bookId}}"-->
                            <a class="btn btn-info" href="#/editBookDetails/{{bookNames.bookId}}" >Edit</a><!--ng-click="editBook(bookNames)"-->
                            <a type="button"  class="btn btn-danger"  ng-click="openDeleteBook(bookNames)">
                                <span ng-if="bookNames.isDeleteBook==1">Archive</span>
                                <span ng-if="bookNames.isDeleteBook==0">Unarchive</span>
                            </a>
                      <span ng-if="bookNames.isPublished===0">
                     <a class="btn btn-default btn-primary" ng-click="openPublishBookCart(bookNames,bigCurrentPage)" class="btn btn-info">publish</a>
                     </span>
                     <span ng-if="bookNames.isPublished===1">
                     <a class="btn  btn-default btn-primary" class="btn btn-info" ng-click="openPublishBookCart(bookNames)">UnPublish</a>
                     </span>

                        </div>
                    </div>
                </div>
                <!-- /.box-footer-->
            </div>
            <!--/.direct-chat -->
        </div>
    </div>
</div>
<div ng-if="listingData.length == 0">
    <div style="font-size: 50px;padding-left: 550px; padding-top: 130px;">Sorry, No Books</div>
</div>
<div class="push"></div>
</div>

</div>
<br/><br/>
<!--ng-show="isAuthenticated"-->

<br/><!--<div class="footer" style="min-width:100%;max-width:100%">
  <div style="min-width:100%;max-width:100%;text-align:center" ng-include="'./app/view/pagination.html'" ></div>
</div>-->

<!--<div class="footer" >
    <pagination  style="text-align:center" total-items="bigTotalItems" ng-model="bigCurrentPage" items-per-page="itemsperpage" max-size="5"
                 class="pagination-sm" boundary-links="true" rotate="false" ng-click="getAllBooks(bigCurrentPage)" num-pages="numPages">
    </pagination>
</div>-->

<div class="footer" style="min-width:100%;max-width:100%"  >
    <div style="min-width:100%;max-width:100%;text-align:center" ng-include="'./app/view/pagination.html'" ></div>
</div>



